<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'WhyGitLabContent',
  props: {
    // id: {
    //   type: String,
    //   required: true,
    // },
    header: {
      type: String,
      required: true,
    },
    subheader: {
      type: String,
      required: true,
    },
    body: {
      type: String,
      required: true,
    },
  },
});
</script>

<template>
  <div class="wrapper">
    <SlpTypography class="header" variant="display1" tag="h2">
      {{ header }}
    </SlpTypography>
    <SlpTypography variant="heading2-bold" tag="h3">
      {{ subheader }}
    </SlpTypography>
    <div class="text" v-html="$md.render(body)" />
  </div>
</template>

<style lang="scss" scoped>
.wrapper {
  margin: 160px 0px 96px;

  @media screen and (min-width: 1024px) {
    padding: 0 120px;
  }
}
.header {
  background: linear-gradient(
    90.27deg,
    #f9a026 -6.4%,
    #a686f2 8.01%,
    #592ac8 18.81%
  );

  background-clip: text;
  color: transparent;
}

.text {
  /*heading5 slp styles */
  padding-top: 32px;
  font-size: 24px;
  line-height: 32px;
  font-weight: 400;
  letter-spacing: -0.8px;
}
</style>
